import * as types from './mutation-types'
import {
	setOpenId,
	setToken,
} from '../utils/storage'

var storage_prefix = process.env.VUE_APP_LOCAL_STORAGE_PREFIX;

const mutations = {
	[types.SET_WEIXIN_OPENID](state, openid) {
		setOpenId(openid)
		state.weixin_openid = openid
	},

	[types.SET_TOKEN](state, data) {
		setToken(storage_prefix, data)
		state.token = data
	},
}

export default mutations
